Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface FileCopyDetails

    org.gradle.api.file.FileTreeElement
      org.gradle.api.file.FileCopyDetails
          org.gradle.api.file.ContentFilterable

All Superinterfaces:
  FileTreeElement, ContentFilterable

    public interface FileCopyDetails
    extends ContentFilterable, FileTreeElement

Provides details about a file or directory about to be copied, and allows some aspects of the destination file to be modified.

Using this interface, you can change the destination path of the file, filter the content of the file, or exclude the file from the result entirely.

Method Summary
`void` | `exclude()` Excludes this file from the copy.
`void` | `setMode(int mode)` Sets the Unix permissions of this file.
`void` | `setName(String name)` Sets the destination name of this file.
`void` | `setPath(String path)` Sets the destination path of this file.
`void` | `setRelativePath(RelativePath path)` Sets the destination path of this file.

Methods inherited from interface FileTreeElement
copyTo, copyTo, getFile, getLastModified, getMode, getName, getPath, getRelativePath, getSize, isDirectory, open

Methods inherited from interface ContentFilterable
expand, filter, filter, filter

Method Detail

### exclude

    public void exclude()

  Excludes this file from the copy.

### setMode

    public void setMode(int mode)

  Sets the Unix permissions of this file.
  Parameters:
    `mode` - the Unix permissions, e.g. `0644`.

### setName

    public void setName(String name)

  Sets the destination name of this file.
  Parameters:
    `name` - The name of this file.

### setPath

    public void setPath(String path)

  Sets the destination path of this file.
  Parameters:
    `path` - The path of this file.

### setRelativePath

    public void setRelativePath(RelativePath path)

  Sets the destination path of this file.
  Parameters:
    `path` - the new path for this file.

Gradle API 1.1-rc-1